/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package plugins;

import project.*;
import java.util.ArrayList;
import java.util.HashMap;
import project.pluginInterface;
import tools.ObjectResult;

/**
 *
 * @author Ludovic
 */
public class pluginGoogleMaps implements pluginInterface{

    private String fileToLoad =  "http://maps.google.com/maps?file=api&v=2&key=ABQIAAAAiCfmCUYBXSBcgN089m8uMRRBklo7BkJF1s7INZxbohood2cCExRys7Q0NHSqMrpvojvgmmUX02y-PA";
    private ArrayList<ObjectResult> resultList;
    private String _query;

    public boolean loadPlugin() {
        return true;
    }

    public String getType() {
        return "Map";
    }

    public ArrayList<ObjectResult> search(String query, int n, int m) {
        _query = query;
        resultList = new ArrayList<ObjectResult>();
        ObjectResult ob = new ObjectResult();
        ob.setThumbURL("<div id=\"map_canvas\" style=\" height: 300px\"></div>");
        ob.setPreviewHTMLSource(null);
        ob.setDetailList(null);

        resultList.add(ob);
        return resultList;
    }

    public String getLogoURL() {
        return "http://maps.google.com/intl/fr_ALL/images/maps_small_horizontal_logo.png";
    }

    public int getCountResult() {
        return 1;
    }

    public HashMap<String,String>getFileToLoad(){
        HashMap<String,String> map = new HashMap<String, String>();
        map.put(fileToLoad, "js");        
        return map;
    }

    public String getPreJS(){
        return null;
    }

    public String getPostJS(){
        return "if (GBrowserIsCompatible()) {"+
                "var px = document.documentElement.clientWidth-200;" +
                "document.getElementById('map_canvas').style.width=px+\"px\";" +
                "var map = new GMap2(document.getElementById(\"map_canvas\"));"+
                "var geocoder = new GClientGeocoder();" +
                "geocoder.getLatLng(\""+_query+"\", function(point) {"+
                "if (!point) { " +
                " document.getElementById('map_canvas').innerHTML = \"<b>Aucun résulat</b>\";" +
                "} else {"+
                "map.setCenter(point, 13); var marker = new GMarker(point);"+
                "map.addOverlay(marker);"+
                "marker.openInfoWindowHtml(\""+_query+"\"); } } ); " +                                              
                "}";
    }

}
