/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugins;

import com.sun.syndication.feed.synd.SyndFeed;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.SyndFeedInput;
import com.sun.syndication.io.XmlReader;
import java.io.IOException;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import project.pluginInterface;
import tools.ObjectResult;

/**
 *
 * @author Ludovic
 */
public class pluginDailymotion implements pluginInterface {

    private String type = "Video";
    private String urlRss = "http://www.dailymotion.com/rss/relevance/search/";
    private int countResult = 0;
    private ArrayList<ObjectResult> resultList;

    public boolean loadPlugin() {
        return true;
    }

    public String getType() {
        return type;
    }

    public ArrayList<ObjectResult> search(String query, int n, int m) {
        
        try {
            resultList = new ArrayList<ObjectResult>();

            urlRss += query.replace(" ", "+");
            URL feedUrl = new URL(urlRss);
            SyndFeedInput input = new SyndFeedInput();
            SyndFeed feed = input.build(new XmlReader(feedUrl));
            List entries = feed.getEntries();



            //System.out.println(entries);

            for (int i = 0; i < entries.size(); i++) {

                ObjectResult ob = new ObjectResult();


                String osr = entries.get(i).toString();

                String titre = osr.substring(osr.indexOf("SyndEntryImpl.titleEx.value="), osr.indexOf("SyndEntryImpl.titleEx.interface="));
                titre = titre.substring(titre.indexOf("=") + 1);

                String desc = osr.substring(osr.indexOf("SyndEntryImpl.description.value="), osr.indexOf("SyndEntryImpl.description.interface="));
                desc = desc.substring(desc.indexOf("</a><p>") + 7, desc.indexOf("</p>"));

                String thumb = osr.substring(osr.indexOf("SyndEntryImpl.description.value="), osr.indexOf("SyndEntryImpl.description.interface="));
                thumb = thumb.substring(thumb.indexOf("src=\"") + 5);
                thumb = thumb.substring(0, thumb.indexOf("\""));


                String vidUrl =  osr.substring(osr.indexOf("SyndEntryImpl.description.value="), osr.indexOf("SyndEntryImpl.description.interface="));
                vidUrl = vidUrl.substring(vidUrl.indexOf("video/") + 6, vidUrl.indexOf("_"));
                vidUrl = "http://www.dailymotion.com/swf/"+ vidUrl;

                    System.out.println(vidUrl);

                ob.getDetailList().put("Titre", titre);
                if (!desc.trim().isEmpty()) {
                    ob.getDetailList().put("Description", desc);
                }

                ob.setThumbURL("<IMG SRC=\"" + thumb + "\">");
                ob.setPreviewHTMLSource("<object height=\"336\" width=\"420\"><param name=\"movie\" value=\""+vidUrl+"\">"+
                                        "<param name=\"allowFullScreen\" value=\"true\"><param name=\"allowScriptAccess\" value=\"always\">"+
                                        "<embed src=\""+vidUrl+"\" type=\"application/x-shockwave-flash\" "+
                                        "allowfullscreen=\"true\" allowscriptaccess=\"always\" height=\"336\" width=\"420\"></object>");



                resultList.add(ob);

//                System.out.println(titre);
//                System.out.println(desc);
//                System.out.println(thumb);
//                System.out.println("-=-=-=-=-=-=-");

            }
             
            //System.out.println(feed);


        } catch (IOException ex) {
            Logger.getLogger(pluginDailymotion.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IllegalArgumentException ex) {
            Logger.getLogger(pluginDailymotion.class.getName()).log(Level.SEVERE, null, ex);
        } catch (FeedException ex) {
            Logger.getLogger(pluginDailymotion.class.getName()).log(Level.SEVERE, null, ex);
        }
        return resultList;
    }

    public String getLogoURL() {
        return "http://www.dailymotion.com/images/dailymotion.jpg";
    }

    public int getCountResult() {
        return 1;
    }

    public String getPreJS() {
        return null;
    }

    public String getPostJS() {
        return null;
    }

    public HashMap<String, String> getFileToLoad() {
        return null;
    }
}
