/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugins;

import com.aetrion.flickr.Flickr;
import com.aetrion.flickr.FlickrException;
import com.aetrion.flickr.REST;
import com.aetrion.flickr.photos.Photo;
import com.aetrion.flickr.photos.PhotoList;
import com.aetrion.flickr.photos.PhotosInterface;
import com.aetrion.flickr.photos.SearchParameters;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.xml.parsers.ParserConfigurationException;
import org.xml.sax.SAXException;
import project.pluginInterface;
import tools.ObjectResult;

/**
 *
 * @author Ludovic
 */
public class pluginFlickr implements pluginInterface {

    private int countResult = 0;
    private ArrayList<ObjectResult> resultList;
    
    private String type = "Photo";

    public ArrayList<ObjectResult> search(String query, int n, int m) {
        try {

            resultList = new ArrayList<ObjectResult>();
            Flickr flickr = new Flickr("47422029b3aabee4aca6a5853eca74b6", "ab7f2d30639a9828", new REST());
            PhotosInterface pi = flickr.getPhotosInterface();
            SearchParameters sp = new SearchParameters();
            String[] tabTag = query.split(" ");
            sp.setTags(tabTag);

            PhotoList photoList = pi.search(sp, n, m / n + 1);
            countResult = photoList.getTotal();

            Iterator it = photoList.iterator();

            while (it.hasNext()) {
                HashMap<String, String> map = new HashMap<String, String>();

                Photo photo = (Photo) it.next();
                String titre = photo.getTitle().replaceAll("\"", "&quot;").replaceAll("'", "&acute;");

                ObjectResult ob = new ObjectResult();
                ob.getDetailList().put("Type", type);
                ob.getDetailList().put("Titre", titre);

                ob.setThumbURL("<IMG SRC=\""+ photo.getThumbnailUrl() + "\">");
                ob.setPreviewHTMLSource("<IMG SRC =\"" + photo.getMediumUrl() + "\">");

                resultList.add(ob);
            }

        } catch (IOException ex) {
            Logger.getLogger(pluginFlickr.class.getName()).log(Level.SEVERE, null, ex);
        } catch (SAXException ex) {
            Logger.getLogger(pluginFlickr.class.getName()).log(Level.SEVERE, null, ex);
        } catch (FlickrException ex) {
            Logger.getLogger(pluginFlickr.class.getName()).log(Level.SEVERE, null, ex);
        } catch (ParserConfigurationException ex) {
            Logger.getLogger(pluginFlickr.class.getName()).log(Level.SEVERE, null, ex);
        }

        return resultList;
    }

    public String getLogoURL() {
        //TODO write your implementation code here:
        return "http://www.extremelanguage.net/images/Flickr-logo.jpg";
    }

    public int getCountResult() {
        //TODO write your implementation code here:
        return countResult;
    }

    public String getType() {
        return type;
    }

    public String getPreJS() {
        return null;
    }

    public String getPostJS() {
        return null;
    }

    public HashMap<String, String> getFileToLoad() {
        return null;
    }

    public boolean loadPlugin() {
        return true;
    }
}
